Subject: tb/midx-race-in-pack-objects (was Re: What's cooking in git.git (May 2022, #07; Wed, 25))

From: Taylor Blau <[email-masked]>
Date: Thu, 26 May 2022 14:11:58 -0400

On Thu, May 26, 2022 at 01:41:25AM -0700, Junio C Hamano wrote:
> * tb/midx-race-in-pack-objects (2022-05-24) 4 commits
>  - builtin/pack-objects.c: ensure pack validity from MIDX bitmap objects
>  - builtin/pack-objects.c: ensure included `--stdin-packs` exist
>  - builtin/pack-objects.c: avoid redundant NULL check
>  - pack-bitmap.c: check preferred pack validity when opening MIDX bitmap
>
>  The multi-pack-index code did not protect the packfile it is going
>  to depend on from getting removed while in use, which has been
>  corrected.
>
>  Will merge to 'next'?
>  source: <[email-masked]>

I think these are in good shape, but I'd like for Victoria to take a
look at the version on the list here.

We are running these patches at GitHub, and they have definitively
closed the race we were investigating here. But the commit messages
changed slightly when going upstream, so I'd appreciate Victoria's (or
anybody else who is interested) eyes on these.

Thanks,
Taylor